package com.bonus.canteen.core.menu.model;

import java.util.Optional;

public class MenuDishesCostModel {
   private Long baseDishesId;
   private Integer materialCost;

   public Integer getMaterialCost() {
      return (Integer)Optional.ofNullable(this.materialCost).orElse(0);
   }

   public Long getBaseDishesId() {
      return this.baseDishesId;
   }

   public void setBaseDishesId(final Long baseDishesId) {
      this.baseDishesId = baseDishesId;
   }

   public void setMaterialCost(final Integer materialCost) {
      this.materialCost = materialCost;
   }
}
